library netpub;

import 'package:flutter/material.dart';

class ButtonPage extends StatelessWidget {
  const ButtonPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('button'),
        ),
        body: Center(
          child: Column(
            children: [
              // 凸起按钮
              ElevatedButton(
                onPressed: () {},
                child: const Text('ElevatedButton'),
                style: ButtonStyle(
                  backgroundColor:
                      MaterialStateProperty.all(const Color(0xffEDFCF5)), //背景颜色
                  foregroundColor: MaterialStateProperty.all(Colors.red), //字体颜色
                  textStyle: MaterialStateProperty.all(const TextStyle(
                      fontSize: 20, fontWeight: FontWeight.w800)), //字体
                  overlayColor: MaterialStateProperty.all(Colors.red), //高亮颜色
                  side: MaterialStateProperty.all(
                      const BorderSide(width: 1, color: Colors.blue)), //边框
                  // shape: MaterialStateProperty.all(const CircleBorder(
                  //     side: BorderSide(
                  //   color: Colors.green,
                  //   width: 10,
                  //   style: BorderStyle.none,
                  // ))),
                ),
              ),
              // 线框按钮
              OutlinedButton(
                onPressed: () {},
                child: const Text('button'),
              ),
              // 文字按钮
              TextButton(onPressed: () {}, child: const Text('textButton')),
              // 图片按钮
              IconButton(
                icon: const Icon(Icons.thumb_up),
                onPressed: () {},
              ),
            ],
          ),
        ));
  }
}
